import * as Library from "./library/library";
import { Item } from "./model/common/item";
import { Table } from "./model/html/table";
import * as $ from "jquery";
//
// Custom Models
//
import { Name } from "./model/common/name";
//
// Items
//
var items = [
    new Name({
        id: 1,
        first: 'Shawn',
        last: 'Lovelidge'
    }),
    new Name({
        id: 2,
        first: 'Lisa',
        last: 'Weaver'
    }),
    new Name({
        id: 3,
        first: 'David',
        last: 'McDavid'
    }),
    new Name({
        id: 4,
        first: 'Miriam',
        last: 'Porter'
    })
];
//
// Document Ready
//
$(document).ready(function () {
    //
    // Debug Statement
    //
    console.log('TypeScript 2.0 Project');
    //
    // Create Table
    //
    var table = new Table({
        columns: [
            new Item({ id: 0, name: 'id', description: 'Id' }),
            new Item({ id: 1, name: 'first', description: 'First' }),
            new Item({ id: 2, name: 'last', description: 'Last' }),
            new Item({ id: 3, name: 'created', description: 'Date Created' }),
        ]
    });
    //
    // If Table Exist
    //
    if (Library.isDefined(table)) {
        table.items = items;
    }
});
//# sourceMappingURL=/Users/admin/Desktop/git/sandbox/typescript/src/index.js.map